package com.danitheskunk.skunkworks.gfx;

import com.danitheskunk.skunkworks.*;
import com.danitheskunk.skunkworks.gfx.font.IFont;

public interface IRenderContext {
	void drawNineSlice(NineSlice slice, Recti rect); //todo: add rounding mode
	void drawRectangle(Recti rect, Color color);
	void drawString(Vec2i pos, String string, IFont font);
	void drawTexture(Vec2i pos, ITexture texture);
	void drawTexture(Vec2i pos, ITexture texture, Color color);
	void drawTextureRectangle(Recti rect, ITexture texture, boolean repeat);
	void drawTextureRectangle(Recti rect, ITexture texture, Color color, boolean repeat);
	//todo: drawTextureRectangleRepeat
}
